QGIS Application - Bug report #5283
MS SQL provider doesn't save data or datetime
2012-04-02 09:50 PM - Nathan Woodrow

Status: Closed

Priority: High

Assignee: Tamas Szekeres

Category: Data Provider

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15003
Description

When using a table with a date field, trying to save the record back the feature is removed from the map canvas and this error is reported
in the error log

[1444] QODBCResult::exec: Unable to execute statement: "[Microsoft[ODBC SQL Server Driver][SQL Server]implicit conversion
from data type varbinary to date is not allowed. Use the CONVERT function to run this query. [Microsoft[ODBC SQL Server
Driver][SQL Server]Statement(s) could not be prepared.”

[1444] d:\\src\\qgis\\src\\providers\\mssqgl\\qgsmssqlprovider.cpp(800) : (QgsMssqlProvider::addFeatures) [Microsoft|[ ODBC SQL
Server Driver][SQL Server]implicit conversion from data type varbinary to date is not allowed. Use the CONVERT function to run
this query. [Microsoft[ODBC SQL Server Driver][SQL Server]Statement(s) could not be prepared. QODBCS3: Unable to execute
statement

Steps to reproduce:
- Create layer in MS SQL with date field
- Open table
- Add feature
- Save feature

Related issues:
Related to QGIS Application - Bug report # 5284: MS SQL features disappear if... Closed 2012-04-02

Associated revisions

Revision 4a9e8ccb - 2012-04-05 12:07 AM - Tamas Szekeres

MSSQL:Improve handling of datetime types (fixes #5283)

History

#1 - 2012-04-04 02:09 PM - Tamas Szekeres

Fixed in https://github.com/szekerest/Quantum-GIS/commit/4fea2c7047cc4fbf0ce5a4dal37e584de3dedd51 1

#2 - 2012-04-04 03:11 PM - Tamas Szekeres
- Status changed from Open to Closed

Fixed in changeset commit:"4a9e8cchb862225b73b89297d6467caf9f1bc0789".
